
Extended Fields - Bug #2164

chiliproject 3.0 - extended_fields plugin throws exception

07 Mar 2013 22:49 - bardia a

Status: Closed Start date: 07 Mar 2013

Priority: Critical Due date: 06 Jul 2013

Assignee: Andriy Lesyuk % Done: 100%

Category: Special column Estimated time: 0.00 hour

Target version: 0.2.2   

Redmine version:  External issue:  

Description

1. clone the latest chiliproject version from github,

2. copied extended_fields into chiliproject/vendor/plugins/extended_fields

3. execute rake command

4. restart server

5. click on issues

observer output:

ArgumentError in IssuesController#index

wrong number of arguments (2 for 1)

RAILS_ROOT: /home/bafshin/workspace/chiliproject

Application Trace | Framework Trace | Full Trace

/home/bafshin/workspace/chiliproject/vendor/plugins/extended_fields/lib/extended_custom_query_patc

h.rb:24:in `add_custom_fields_filters_without_extended'

/home/bafshin/workspace/chiliproject/vendor/plugins/extended_fields/lib/extended_custom_query_patc

h.rb:24:in `add_custom_fields_filters'

/home/bafshin/workspace/chiliproject/app/models/query.rb:179:in `available_filters'

/home/bafshin/workspace/chiliproject/app/helpers/queries_helper.rb:82:in `retrieve_query'

/home/bafshin/workspace/chiliproject/app/controllers/issues_controller.rb:52:in `index'

 

Request Parameters:

{"project_id"=>"mlo",

 "set_filter"=>"1"}

 

Show session dump

Response Headers:

{"Cache-Control"=>"no-cache",

 "Content-Type"=>""}

Related issues:

Related to Extended Fields - Bug #2175: Error on issues, calendar and gantt p... Closed 14 Mar 2013 06 Jul 2013

Associated revisions

Revision 92 - 06 Jul 2013 14:22 - Andriy Lesyuk

Added support for ChiliProject (#2164 and #2175)

History
#1 - 25 May 2013 21:53 - Andriy Lesyuk

- Status changed from New to Open

- Target version set to 0.2.2

#2 - 06 Jul 2013 14:24 - Andriy Lesyuk

- Due date set to 06 Jul 2013

- % Done changed from 0 to 100

#3 - 06 Jul 2013 14:24 - Andriy Lesyuk

- Status changed from Open to Closed
